Subject: Re: [Ietf-languages] Forms for subtag kmpre20c

From: "Doug Ewell" <[email-masked]>
Date: Wed, 04 Dec 2019 09:56:10 -0700

Élie Roux wrote:

>>> Generally speaking I think all lang tags should all have a

>>> macrolanguage though.
>>
>> Can you elaborate on what you mean by this?
>
> I think it comes from a few different angles:
>
> [...]
>
> 2. my experience with the same databases is that they all use the bo
> lang tag for Tibetan. Unfortunately bo is not a macrolanguage, it's
> supposed to be the language spoken in some areas today
> (https://iso639-3.sil.org/code/bod). This language is very different
> from most of the literature we have in our database which is Classical
> Tibetan, which has its own tag (xct). [...]

OK, you’re speaking specifically of a group of Tibetan languages which, as you see it, are sometimes treated as a single language and sometimes as multiple languages, such that neither the fine-grained nor the coarse-grained identification solution is satisfactory all the time.

That seems like a reasonable starting point to make the argument to ISO 639-3/RA that Tibetan should be made a macrolanguage. (The “policy,” as I understand it, is that new macrolanguages can be created, but only with good justification, as you may well have here, not willy-nilly as some folks who don’t understand the concept would prefer.)

This is fundamentally different from saying that “all” language tags should have a macrolanguage.

--

Doug Ewell | Thornton, CO, US | ewellic.org